## python-schwifty 2023.11.2%2Bdfsg

=== Makefile ===
.PHONY: docs
docs:
	(cd docs; make html)

.PHONY: test
test:
	hatch run test

.PHONY: lint
lint:
	hatch run lint:typing
	hatch run lint:style

.PHONY: lint-docs
lint-docs:
	hatch run lint:docs

.PHONY: fmt
fmt:
	hatch run lint:fmt

.PHONY: build
build:
	hatch build

=== debian/changelog ===
python-schwifty (2023.11.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 04 Jan 2024 01:00:53 +0100

python-schwifty (2023.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release. 
  * Added gbp.conf
  * Added patch to skip pydantic tests because they don't run
  * Marked python-schwifty-doc as Multi-Arch: foreign
  * Use py3versions -d for VERSIONED_INTERPRETER in d/rules (Closes:
    #1058271)

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 02 Jan 2024 00:15:31 +0100

python-schwifty (2023.09.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 24 Oct 2023 15:21:53 +0200

python-schwifty (2023.09.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1054270)

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 17 Oct 2023 22:24:54 +0200

## python-schwifty 2023.11.2+dfsg

=== scripts/requirements.txt ===
beautifulsoup4
camelot-py[base]
requests
xlrd>=2.0.1
pandas==2.1.3
openpyxl
lxml

=== debian/control ===
Source: python-schwifty
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-hatch-vcs,
 python3-importlib-resources,
 python3-iso3166,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-pycountry,
 python3-pytest <!nocheck>,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/mdomke/schwifty
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schwifty
Vcs-Git: https://salsa.debian.org/python-team/packages/python-schwifty.git

Package: python3-schwifty
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-schwifty-doc,
Description: library to work with IBANs and BIC (Python 3)
 schwifty is a Python library that let's you easily work with IBANs and BICs
 as specified by the ISO. IBAN is the Internation Bank Account Number and BIC
 the Business Identifier Code. Both are used for international money transfer.
 .
 This package installs the library for Python 3.

Package: python-schwifty-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: library to work with IBANs and BIC (common documentation)
 schwifty is a Python library that let's you easily work with IBANs and BICs
 as specified by the ISO. IBAN is the Internation Bank Account Number and BIC
 the Business Identifier Code. Both are used for international money transfer.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=schwifty
export VERSIONED_INTERPRETER=`py3versions -d`

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_sphinxdoc:
	cp $(CURDIR)/docs/source/conf.py $(CURDIR)/docs
	cp $(CURDIR)/docs/source/index.rst $(CURDIR)/docs
	PYTHONPATH=debian/python3-schwifty/usr/lib/${VERSIONED_INTERPRETER}/dist-packages ${VERSIONED_INTERPRETER} -m sphinx  -b html docs $(CURDIR)/debian/python-schwifty-doc/usr/share/doc/python-schwifty-doc/html
	dh_sphinxdoc

## python-schwifty 2024.09.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 export VERSIONED_INTERPRETER=`py3versions -d`
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 	cp $(CURDIR)/docs/source/conf.py $(CURDIR)/docs

## python-schwifty 2024.09.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Schwifty.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Schwifty.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Schwifty"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Schwifty"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== scripts/requirements.txt ===
beautifulsoup4
camelot-py[base]
requests
xlrd>=2.0.1
pandas
openpyxl
lxml

=== debian/changelog ===
python-schwifty (2024.09.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Gregor Düster ]
  * New upstream release
  * Add new dependencies
  * Update d/copyright
  * Switch to autopkgtest-pkg-pybuild

  [ Jochen Sprickerhof ]
  * Improve package description

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Oct 2024 13:29:56 +0200

=== debian/control ===
Source: python-schwifty
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-hatch-vcs,
 python3-importlib-resources,
 python3-iso3166,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-pycountry,
 python3-pytest <!nocheck>,
 python3-rstr <!nocheck>,
 python3-pydantic <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/mdomke/schwifty
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schwifty
Vcs-Git: https://salsa.debian.org/python-team/packages/python-schwifty.git
Description: library to work with IBANs and BIC
 schwifty is a Python library that lets you easily work with IBANs and BICs
 as specified by the ISO. IBAN is the International Bank Account Number and BIC
 the Business Identifier Code. Both are used for international money transfer.

Package: python3-schwifty
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-schwifty-doc,
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the library for Python 3.

Package: python-schwifty-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: ${source:Synopsis} (common documentation)
 ${source:Extended-Description}
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto \
    https://github.com/mdomke/schwifty/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## python-schwifty 2025.09.0+dfsg

=== debian/changelog ===
python-schwifty (2025.09.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump S-V to 4.7.3; drop Priority and RRR field

 -- Matthias Geiger <werdahias@debian.org>  Wed, 24 Dec 2025 15:19:09 +0100

python-schwifty (2024.09.0+dfsg-3) unstable; urgency=medium

  * d/control: Annotate rstr with nodoc insted of nocheck (Closes: #1116882)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 04 Oct 2025 23:13:41 +0200

python-schwifty (2024.09.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-importlib-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 17:07:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: python-schwifty
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Matthias Geiger <werdahias@riseup.net>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -12,16 +10,15 @@
  python3-all,
  python3-hatchling,
  python3-hatch-vcs,
- python3-importlib-resources,
  python3-iso3166,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-pycountry,
  python3-pytest <!nocheck>,
- python3-rstr <!nocheck>,
+ python3-rstr <!nodoc>,
  python3-pydantic <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/mdomke/schwifty
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schwifty
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schwifty.git
